package Torus::Core;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw( );

use strict;
use warnings;

use loadConfig;
use Torus::Driver::ldap;

my $DEBUGLEVEL = $config->get("debug_level");
my $TRACELEVEL = $config->get("trace_level");
my $bool_started;


sub addItem {

  my $torusObjectType = shift;
  my $mapiEntry = shift;
  my $basedn = shift;
  my $ldapEntry;

  if (!$bool_started) {
    Torus::Driver::ldap::connectStore();
  }

  $bool_started = 1;

  if ($DEBUGLEVEL > 3) {
    print STDOUT "=" x 3, "   ", __PACKAGE__, "   ", "=" x 30, "\n";
    print STDOUT "recieved torus-object (type=$torusObjectType)", "\n";
    print STDOUT "trying to write to (basedn='$basedn')", "\n";
  }

  if ($torusObjectType eq 'MapiContact') {
    $basedn = Torus::Driver::ldap::createOuSafe($basedn);
    my $entry = Torus::Driver::ldap::prepareEntry($basedn, $mapiEntry);
    if (my $result = Torus::Driver::ldap::addEntry($entry)) {
      #my $error = 0;
      #$error = 1 if $result->code >= 0;
      #Torus::Driver::ldap::traceEntry($mapiEntry, $entry, { error => $error, prefix => $result->error }) if $TRACELEVEL >= 2;
      #undef $result;
      Torus::Driver::ldap::processResult($entry->{identifier}, $result);
    }
  }

}

1;
