package loadConfig;

use strict;
use warnings;

use AppConfig qw(:expand :argcount);

  require Exporter;
  our @ISA = qw(Exporter);
  our @EXPORT = qw( $config );

  # ==================================
  #  setup configuration
  # ==================================

  our $config;
  
  sub raiseAppConfigError {
    my $error = shift;
    print "error while accessing configuration-data: ", $error, "\n";
  }
  
  my $cfgfile_name = '../etc/syncOutlookContacts.ini';
  $config = AppConfig->new({
          CASE   => 1,
                ERROR  => \&raiseAppConfigError,
          GLOBAL => {
                  #DEFAULT  => "<unset>",
                  DEFAULT  => "",
                  ARGCOUNT => ARGCOUNT_ONE,
              },
          CREATE => 1,
      });
  #$config->define("debug_level", { ARGCOUNT => ARGCOUNT_ONE } );
  $config->define("mapi_ProfilePass", { ARGCOUNT => ARGCOUNT_NONE, DEFAULT => "" } );
  $config->define("sync_map", { ARGCOUNT => ARGCOUNT_LIST } );
  $config->define("sync_mapping", { ARGCOUNT => ARGCOUNT_HASH } );

  $config->define("folders_use", { ARGCOUNT => ARGCOUNT_LIST } );
  $config->define("folders_map", { ARGCOUNT => ARGCOUNT_HASH } );

  if (! -e $cfgfile_name) {
    print "config-file \"$cfgfile_name\"does not exist.", "\n";
    exit;
  }
  $config->file($cfgfile_name);

  # ==================================
  
1;